2013-03-07 6 views
7

Ho sviluppato un sito Web in WordPress e ho installato il plug-in Gravity Forms (http://www.gravityforms.com/). Ho aggiunto un libro modulo online per una pagina, ma il DatePicker sta tornando il seguente errore nella console quando si fa clic:jQuery UI Datepicker - Uncaught TypeError: Impossibile leggere la proprietà 'msie' di undefined

Uncaught TypeError: Impossibile leggere la proprietà 'MSIE' di indefinito

http://ultimatepaintball.com.au/packages/book-online/

Ha qualcuno ha riscontrato questo problema prima? Ho letto da qualche parte che potrebbe trattarsi di un problema con jQuery 1.9 e $ .browser, ma il problema persiste anche quando torno a 1.8.3.

Grazie.

+1

Scegli questa http://stackoverflow.com/questions/9638247/is-jquery-browser-deprecated~~V~~singular~~3rd – elclanrs

+0

Grazie, amico. Ho già provato ad eseguire l'enquiry della migrazione di jQuery, oltre a ricorrere a jQuery 1.8.3, nessuno dei quali ha risolto il problema sfortunatamente. – Scully

+0

Il passaggio 1 consente di ridurre l'errore al codice minimo che visualizza l'errore. Puntare a una pagina con 10 o 12 script esterni (principalmente minificati) più un numero di elementi di script interni non è utile. Il problema è che '$ .browser' non è definito, è necessario capire cosa stomping su di esso (o ottenere un selezionatore di date migliore, non è difficile scriverne uno). – RobG

risposta

Problemi correlati